From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/waifu2x-ncnn-vulkan/
Date: Thu, 28 Jul 2022 14:35:59 +0000 (UTC) [thread overview]
Message-ID: <1659018894.dea41123b0bae6b23c485361468a8a245a8718d6.ionen@gentoo> (raw)
commit: dea41123b0bae6b23c485361468a8a245a8718d6
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 28 14:30:21 2022 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Jul 28 14:34:54 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dea41123
media-gfx/waifu2x-ncnn-vulkan: bump the waifu to 20220728
Albeit no real changes given we're using system ncnn.
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
media-gfx/waifu2x-ncnn-vulkan/Manifest | 1 +
.../waifu2x-ncnn-vulkan-20220728.ebuild | 55 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/media-gfx/waifu2x-ncnn-vulkan/Manifest b/media-gfx/waifu2x-ncnn-vulkan/Manifest
index be06cc43ad75..3e3b89d6852f 100644
--- a/media-gfx/waifu2x-ncnn-vulkan/Manifest
+++ b/media-gfx/waifu2x-ncnn-vulkan/Manifest
@@ -1 +1,2 @@
DIST waifu2x-ncnn-vulkan-20220419.tar.gz 34076913 BLAKE2B 0a8355d5b940e6371c49bf3b981a0dd7508b07ecd4d944da2a8a1f0a1ea7c77f61747bbb025c033781f032292e55ccccfa2a3b72684243973d132da99ed09ebf SHA512 fbb6491dddaea9806300cf3f5a582e25d7c644084d61cae33bb38339ac3cf47af03866a1f9bc4bd30f9270b68a945760ebb58535a19b5855a4a0824138ddb513
+DIST waifu2x-ncnn-vulkan-20220728.tar.gz 34076924 BLAKE2B 6ed310d57af52286a288b151f67a989ac41f8e248b2ad5f05392781a429c9f0ff1d79e8816c8c464cb5686692c2b4fe5dc2d50c4fc713a4887d044ee3cfda199 SHA512 ea17cbbcb7318586793222c6c7139f67395c49c567b601969b829fc426eb517308509b7c1da69171fcbf8e68baa5cec3e52e98159e3c5e6c35ce47a8514dadb7
diff --git a/media-gfx/waifu2x-ncnn-vulkan/waifu2x-ncnn-vulkan-20220728.ebuild b/media-gfx/waifu2x-ncnn-vulkan/waifu2x-ncnn-vulkan-20220728.ebuild
new file mode 100644
index 000000000000..640620c62e2e
--- /dev/null
+++ b/media-gfx/waifu2x-ncnn-vulkan/waifu2x-ncnn-vulkan-20220728.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="waifu2x converter using ncnn and vulkan"
+HOMEPAGE="https://github.com/nihui/waifu2x-ncnn-vulkan"
+SRC_URI="https://github.com/nihui/waifu2x-ncnn-vulkan/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-libs/ncnn:=[vulkan]
+ media-libs/libwebp:=
+ media-libs/vulkan-loader"
+DEPEND="
+ ${RDEPEND}
+ dev-util/glslang
+ dev-util/vulkan-headers"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-20210521-no-lto.patch
+)
+
+src_prepare() {
+ CMAKE_USE_DIR=${S}/src
+ cmake_src_prepare
+
+ # Update all paths to match installation for models.
+ sed "/PATHSTR\|model path/s|models-|${EPREFIX}/usr/share/${PN}/models-|" \
+ -i src/main.cpp || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DGLSLANG_TARGET_DIR="${ESYSROOT}"/usr/$(get_libdir)/cmake
+ -DUSE_SYSTEM_NCNN=ON
+ -DUSE_SYSTEM_WEBP=ON
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ dobin "${BUILD_DIR}"/waifu2x-ncnn-vulkan
+
+ insinto /usr/share/${PN}
+ doins -r models/.
+
+ einstalldocs
+}
next reply other threads:[~2022-07-28 14:36 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-28 14:35 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-10-10 20:20 [gentoo-commits] repo/gentoo:master commit in: media-gfx/waifu2x-ncnn-vulkan/ Ionen Wolkens
2023-10-10 20:20 Ionen Wolkens
2022-08-07 13:59 Ionen Wolkens
2022-05-13 14:51 Ionen Wolkens
2022-04-20 2:40 Ionen Wolkens
2022-04-20 2:40 Ionen Wolkens
2021-06-08 7:10 Ionen Wolkens
2021-05-31 19:30 Piotr Karbowski
2021-05-31 19:30 Piotr Karbowski
2021-05-31 19:30 Piotr Karbowski
2021-04-18 17:38 Piotr Karbowski
2021-04-18 17:38 Piotr Karbowski
2020-08-30 18:27 Piotr Karbowski
2020-04-26 20:09 Piotr Karbowski
2020-03-29 22:06 Piotr Karbowski
2020-03-29 21:09 Piotr Karbowski
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1659018894.dea41123b0bae6b23c485361468a8a245a8718d6.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox